Name:          python-zope-hookable
Version:       5.4
Release:       2mamba
Summary:       Efficient creation of "hookable" objects, which are callable objects that are meant to be optionally replaced
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.zope.dev/
Source:        http://pypi.debian.net/zope.hookable/zope.hookable-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(setuptools)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n zope.hookable-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz,;\,\.txt$,d" %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/zope.hookable-%{version}-py*.egg-info
%{python_sitearch}/zope.hookable-%{version}-py*.egg-info/*

%changelog
* Sun Sep 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4-2mamba
- rebuilt with python 3.10

* Sat Nov 19 2022 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Automatic Build System <autodist@mambasoft.it> 5.3-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 5.2-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.1-2mamba
- rebuilt with distdeps

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Sat Feb 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- package created using the webbuild interface
